/*
 * transfercmd.h - transfer command handling
 *
 * Written by
 *  Christian Vogelgsang <chris@vogelgsang.org>
 *
 * This file is part of dtv2ser.
 * See README for copyright notice.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 *
 */

#ifndef TRANSFERCMD_H
#define TRANSFERCMD_H

#include "command.h"

void exec_read_memory(void);
void exec_write_memory(void);
void exec_transfer_result(void);

#ifdef USE_BLOCKCMD

void exec_block_read_memory(void);
void exec_block_write_memory(void);

#endif // USE_BLOCKCMD

#ifdef USE_DIAGNOSE

void exec_read_memory_only_dtv(void);
void exec_write_memory_only_dtv(void);
void exec_verify_memory_only_dtv(void);
void exec_read_memory_only_serial(void);
void exec_write_memory_only_serial(void);

#ifdef USE_BLOCKCMD

void exec_block_read_memory_only_dtv(void);
void exec_block_write_memory_only_dtv(void);

#endif // USE_BLOCKCMD

#endif // USE_DIAGNOSE

#endif
